Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Protected Member Functions | Properties | List of all members
InputSlotAny Class Reference

Input slot class specifying type More...

Inheritance diagram for InputSlotAny:

## Public Member Functions
| InputSlotAny ()
| InputSlotAny default constructor More...
| InputSlotAny (System.Type targetType)
| InputSlotAny constructor More...
bool | GetValue (ref object value)
| Get the value More...
bool | GetValue< T > (ref T value)
| Get the value More...
Public Member Functions inherited from InputSlotBase
void | SetBranch (DataBranch branch)
| Set DataBranch. More...
bool | RemoveBranch (DataBranch branch)
| Remove DataBranch. More...
bool | ResetBranch ()
| Reset DataBranch More...
DataBranch | GetBranch ()
| Get DataBranch. More...
bool | IsConnected (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...
override void | ClearBranch ()
| Clear the connection status. More...
void | SetInputBranch (DataBranch branch)
| Set DataBranch. More...
void | RemoveInputBranch (DataBranch branch)
| Remove DataBranch. More...
DataBranch | GetInputBranch ()
| Get DataBranch. More...
bool | IsConnectedInput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...

## Protected Member Functions
override object | GetValueObject ()
| Get the value object. More...

## Properties
override System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from InputSlotBase
override SlotType | slotType`[get]`
| Slot type More...
DataBranch? | branch`[get]`
| Get branch More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Additional Inherited Members
Public Attributes inherited from InputSlotBase
int | branchID
| Branch ID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Input slot class specifying type

Available Attributes :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ InputSlotAny() [1/2]

InputSlotAny | ( |  | ) |

InputSlotAny default constructor

## ◆ InputSlotAny() [2/2]

InputSlotAny | ( | System.Type | targetType | ) |

InputSlotAny constructor

Parameters

  targetType | Input type

## Member Function Documentation

## ◆ GetValue()

bool GetValue | ( | ref object | value | ) |

Get the value

Parameters

  value | The value you get

Returns
  Returns true if the value can be obtained.

## ◆ GetValue< T >()

bool GetValue< T > | ( | ref T | value | ) |

Get the value

Parameters

  value | The value you get

Returns
  Whether the branch is connected.

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| protected virtual

Get the value object.

Returns
  Returns the value object.

Implements InputSlotBase.

## Property Documentation

## ◆ dataType

override System.Type dataType
| get

The type of data stored in the slot